Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.phase.custom
Class CustomPhaseConfig

    java.lang.Object
      org.optaplanner.core.config.phase.PhaseConfig
          org.optaplanner.core.config.phase.custom.CustomPhaseConfig

    public class CustomPhaseConfig

extends PhaseConfig

Field Summary
`protected List<Class<? extends CustomPhaseCommand>>` | `customPhaseCommandClassList`
`protected Boolean` | `forceUpdateBestSolution`

Constructor Summary
`CustomPhaseConfig()`

Method Summary
`CustomPhase` | `buildPhase(int phaseIndex, HeuristicConfigPolicy solverConfigPolicy, BestSolutionRecaller bestSolutionRecaller, Termination solverTermination)`
`List<Class<? extends CustomPhaseCommand>>` | `getCustomPhaseCommandClassList()`
`Boolean` | `getForceUpdateBestSolution()`
`void` | `inherit(CustomPhaseConfig inheritedConfig)`
`void` | `setCustomPhaseCommandClassList(List<Class<? extends CustomPhaseCommand>> customPhaseCommandClassList)`
`void` | `setForceUpdateBestSolution(Boolean forceUpdateBestSolution)`

Methods inherited from class org.optaplanner.core.config.phase.PhaseConfig
`configurePhase, getTerminationConfig, inherit, setTerminationConfig, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### customPhaseCommandClassList

    protected List<Class<? extends CustomPhaseCommand>> customPhaseCommandClassList

### forceUpdateBestSolution

    protected Boolean forceUpdateBestSolution

Constructor Detail

### CustomPhaseConfig

    public CustomPhaseConfig()

Method Detail

### getCustomPhaseCommandClassList

    public List<Class<? extends CustomPhaseCommand>> getCustomPhaseCommandClassList()

### setCustomPhaseCommandClassList

    public void setCustomPhaseCommandClassList(List<Class<? extends CustomPhaseCommand>> customPhaseCommandClassList)

### getForceUpdateBestSolution

    public Boolean getForceUpdateBestSolution()

### setForceUpdateBestSolution

    public void setForceUpdateBestSolution(Boolean forceUpdateBestSolution)

### buildPhase

    public CustomPhase buildPhase(int phaseIndex,
                                  HeuristicConfigPolicy solverConfigPolicy,
                                  BestSolutionRecaller bestSolutionRecaller,
                                  Termination solverTermination)

  Specified by:
    `buildPhase` in class `PhaseConfig`

### inherit

    public void inherit(CustomPhaseConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.2.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.